[QtMoko] How to install tangoGPS?

Marcus Bauer marcus.bauer at gmail.com
Tue Apr 13 22:49:17 CEST 2010

On Tue, 13 Apr 2010 23:20:22 +0300
Margo <keegiveel at gmail.com> wrote:

> Hi,
> How should I install tangoGPS on qtmoko? I did:
> # apt-get install libexif12 libcurl3-gnutls libgconf2-4 gpsd
> # sed -i 's/DEVICES=""/DEVICES="\/dev\/ttySAC1"/' /etc/default/gpsd
> # sed -i
> 's/START_DAEMON="false"/START_DAEMON="true"/' /etc/default/gpsd #
> wget
> http://www.tangogps.org/downloads/tangogps_0.99.2-1_armel.deb-Openmoko
> -O tangogps_0.99.2-1_armel.deb # dpkg -i tangogps_0.99.2-1_armel.deb
> # reboot
> But tangoGPS can't get the fix. Did I miss something? Do I have to
> change something in tangoGPS settings? I'm using v20. I had the same
> problem with v18. Previously I was using the ghislain's installer
> images. These had tangoGPS installed by default and it was working
> fine there.

Hi Margo,

which version is your gpsd? (gpsd -V) From 2.92 onward the API changed
and the next version of tangoGPS will handle this. In general you can
simply downgrade gpsd to <= 2.90 without loosing anything.


More information about the community mailing list